Subject: Re: [PATCH] sfq: add dummy bind/unbind handles

From: Jarek Poplawski <[email-masked]>
Date: Sun, 08 Aug 2010 09:04:46 +0200

David Miller wrote, On 08.08.2010 07:45:

> From: Jarek Poplawski <[email-masked]>
> Date: Sat, 07 Aug 2010 01:17:07 +0200
> 
>> Stephen Hemminger wrote, On 07.08.2010 00:23:
>>
>>> Applying a filter to an SFQ qdisc would cause null dereference
>>> in tcf_bind_filter because although SFQ is classful it didn't
>>> have all the necessary equipment.
>>>
>>> Better alternative to changing tcf_bind API is to just fix
>>> SFQ.  This should go to net-2.6 and stable.
>>>
>>
>> Hmm... FYI, actually I've sent already a similar patch to the
>> original bug report thread (except .unbind_tcf method which
>> doesn't matter for fixing this bug, so should be rather
>> implemented in a separate patch, if needed at all in this
>> case).
> 
> Agreed, I can't see a way that unbind can ever be invoked
> if the bind call always returns zero.

To tell the truth, I think unbind should be implemented anyway,
just for consistency, safety, and easier verification. But, looking
at a similar case of .get and .put in the same driver, Patrick
seemed to do it purposely, so I expected some discussion about the
rules yet, and made it minimal to ease merging to older kernels.
 
Thanks,
Jarek P.